[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# SoundexCompare

Compare soundex values of 2 strings.

## Declaration

Source position: strutils.pp line 153

`function SoundexCompare(`
`const AText: string;`
`const AOther: string;`
`ALength: TSoundexLength`
`):Integer; function SoundexCompare(`
`const AText: string;`
`const AOther: string`
`):Integer;`

## Arguments

`AText` |  | First string.
`AOther` |  | Second string.
`ALength` |  | Length of soundexes to compare.

## Function result

0 if the soundexes are equal. Negative of the first is smaller as the second, positive otherwise.

## Arguments

`AText` |  | First string.
`AOther` |  | Second string.

## Description

SoundexCompare computes the soundex codes of AText and AOther and feeds these to CompareText. It will return -1 if the soundex code of AText is less than the soundex code of AOther, 0 if they are equal, and 1 if the code of AOther is larger than the code of AText.

## Errors

None.

## See also

Soundex |  | Compute the soundex of a string
SoundexInt |  | Soundex value as an integer.
SoundexProc |  | Default AnsiResemblesText implementation.
SoundexWord |  | Calculate a word-sized soundex value
SoundexSimilar |  | Check whether 2 strings have equal soundex values